import Vue from 'vue'

export declare class VmaImageView extends Vue {
  /**
   * 是否显示，可双向绑定
   * 
   * @private
   * @type {boolean}
   * @memberOf VmaImageView
   */
  private visible: boolean

  /**
   * 显示/隐藏动画，默认：el-zoom-in-center
   * 
   * @private
   * @type {string}
   * @memberOf VmaImageView
   */
  private transitionName: string

  /**
   * 图片地址
   * 
   * @private
   * @type {string}
   * @memberOf VmaImageView
   */
  private url: string

  /**
   * 点击隐藏模式，all-任意位置，outsize-图片外位置，默认：outsize
   * 
   * @private
   * @type {('all' | 'outside')}
   * @memberOf VmaImageView
   */
  private hideMode: 'all' | 'outside'
}