import Vue from 'vue'

export declare class VmaPagination extends Vue {
  /**
   * 页码
   * 
   * @private
   * @type {number}
   * @memberOf VmaPagination
   */
  private pageNum: number

  /**
   * 页数
   * 
   * @private
   * @type {number}
   * @memberOf VmaPagination
   */
  private pageSize: number

  /**
   * 总数
   * 
   * @private
   * @type {number}
   * @memberOf VmaPagination
   */
  private total: number

  /**
   * 可切换的页数
   * 
   * @private
   * @type {number[]}
   * @memberOf VmaPagination
   */
  private pageSizes: number[]

  /**
   * 显示规则，默认：total, sizes, prev, pager, next, jumper
   * 
   * @private
   * @type {string}
   * @memberOf VmaPagination
   */
  private layout: string

  /**
   * 是否添加背景色，默认：false
   * 
   * @private
   * @type {boolean}
   * @memberOf VmaPagination
   */
  private background: boolean

  /**
   * 是否显示为小型，默认：false
   * 
   * @private
   * @type {boolean}
   * @memberOf VmaPagination
   */
  private small: boolean
}
