import Vue from 'vue'

interface ViewOption {
  visible?: boolean
  url?: string
}

interface ViewImageOption extends ViewOption {
  transitionName?: string
  hideMode?: 'all' | 'outside'
}

interface ViewAudioOption extends ViewOption {
  controls?: boolean
  autoplay?: boolean
}

type ViewVideoOption = ViewAudioOption

declare module 'vue/types/vue' {
  interface Vue {
    success(msg: string, options?: object): any
    info(msg: string, options?: object): any
    warning(msg: string, options?: object): any
    warn(msg: string, options?: object): any
    danger(msg: string, options?: object): any
    confirm(content: string, title?: string): Promise<void>

    viewImage(options: string | ViewImageOption): void
    viewVideo(options: string | ViewAudioOption): void
    viewAudio(options: string | ViewVideoOption): void
  }
}
